from django import forms
from json import loads


class ServerAddressForm(forms.Form):
    server_address_form = forms.URLField(
        max_length=1312, initial="http://localhost:8000/", empty_value="http://localhost:8000/", label="")
    server_address_form.widget.attrs["class"] = "w-full text-sm rounded-xl border-2 border-bluelight-dark bg-[#242424]/10"


class BackendFilepathForm(forms.Form):
    backend_filepath_form = forms.CharField()
    backend_filepath_form.widget.attrs["class"] = "w-full text-sm rounded-xl border-2 border-bluelight-dark bg-[#242424]/10"
